# Lontium lt9611uxc
PRODUCT_PACKAGES :=	\
    lt9611uxc_fw.bin

# WLAN
PRODUCT_PACKAGES +=	\
    amss.bin		\
    board.bin		\
    m3.bin

# Bluetooth
PRODUCT_PACKAGES +=	\
    htbtfw20.tlv	\
    htnv20.bin

# Adreno
PRODUCT_PACKAGES +=	\
    a650_gmu.bin	\
    a650_sqe.fw		\
    a650_zap.mbn

# Venus and ADSP/CDSP firmware files have same STEM name
# so PRODUCT_COPY_FILES then instead
PRODUCT_COPY_FILES += \
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/adsp.mbn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/sm8250/adsp.mbn		\
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/adspr.jsn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/sm8250/adspr.jsn		\
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/adspua.jsn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/sm8250/adspua.jsn	\
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/cdsp.mbn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/sm8250/cdsp.mbn		\
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/cdspr.jsn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/sm8250/cdspr.jsn		\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b00:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b00	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b01:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b01	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b02:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b02	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b03:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b03	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b04:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b04	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b05:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b05	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b06:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b06	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b07:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b07	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b08:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b08	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b09:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b09	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b10:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b10	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b19:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.b19	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.mbn:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.mbn	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.mdt:$(TARGET_COPY_OUT_VENDOR)/firmware/qcom/vpu-1.0/venus.mdt

# Also copy a set of Venus and ADSP/CDSP firmware files to ramdisk to drop the
# dependency on user sysfs fw loader helper (FW_LOADER_USER_HELPER_FALLBACK)
PRODUCT_COPY_FILES += \
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/adsp.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/sm8250/adsp.mbn	\
    vendor/linaro_devices/common/linux-firmware/qcom/sm8250/cdsp.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/sm8250/cdsp.mbn	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b00:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b00	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b01:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b01	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b02:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b02	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b03:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b03	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b04:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b04	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b05:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b05	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b06:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b06	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b07:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b07	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b08:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b08	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b09:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b09	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b10:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b10	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.b19:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.b19	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.mbn	\
    vendor/linaro_devices/common/linux-firmware/qcom/vpu-1.0/venus.mdt:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/vpu-1.0/venus.mdt
